PRINT 'Set Recovery Mode to "SIMPLE"'
GO
USE master
ALTER DATABASE [versaSRS]
SET RECOVERY SIMPLE
GO

Use [versaSRS]
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Shrink and Compact Database
PRINT 'Shrink and Compact Database'
GO
DECLARE @DBFileName varchar(1000)
SELECT @DBFileName = name FROM sys.database_files WHERE file_id = 1
PRINT @DBFileName
DBCC SHRINKDATABASE (@DBFileName, TRUNCATEONLY)
GO

-- Set Recovery Mode back to "RECOVERY FULL"
PRINT 'Set Recovery Mode back to "RECOVERY FULL"'
GO
USE master
ALTER DATABASE [versaSRS]
SET RECOVERY FULL
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO
