-- Alter ntext to nvarchar(max) 
-- tbl_VCRMCorrespondence
-- tbl_VCRMCorrespondenceActions
-- tbl_VCRMCorrespondenceAttachments
-- tbl_VCRMCorrespondenceAttachmentTemp

BEGIN TRAN
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Alter column Message on tbl_VCRMCorrespondence
PRINT 'Alter column Message on tbl_VCRMCorrespondence'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Message' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence'))
	ALTER TABLE tbl_VCRMCorrespondence
		ALTER COLUMN [Message] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailFrom on tbl_VCRMCorrespondence
PRINT 'Alter column MailFrom on tbl_VCRMCorrespondence'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailFrom' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence'))
	ALTER TABLE tbl_VCRMCorrespondence
		ALTER COLUMN [MailFrom] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailTo on tbl_VCRMCorrespondence
PRINT 'Alter column MailTo on tbl_VCRMCorrespondence'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailTo' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence'))
	ALTER TABLE tbl_VCRMCorrespondence
		ALTER COLUMN [MailTo] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailCc on tbl_VCRMCorrespondence
PRINT 'Alter column MailCc on tbl_VCRMCorrespondence'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailCc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence'))
	ALTER TABLE tbl_VCRMCorrespondence
		ALTER COLUMN [MailCc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailBcc on tbl_VCRMCorrespondence
PRINT 'Alter column MailBcc on tbl_VCRMCorrespondence'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailBcc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondence'))
	ALTER TABLE tbl_VCRMCorrespondence
		ALTER COLUMN [MailBcc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ActionDesc on tbl_VCRMCorrespondenceActions
PRINT 'Alter column ActionDesc on tbl_VCRMCorrespondenceActions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceActions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ActionDesc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceActions'))
	ALTER TABLE tbl_VCRMCorrespondenceActions
		ALTER COLUMN [ActionDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMCorrespondenceAttachments
PRINT 'Alter column FileObject on tbl_VCRMCorrespondenceAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceAttachments'))
	ALTER TABLE tbl_VCRMCorrespondenceAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMCorrespondenceAttachmentTemp
PRINT 'Alter column FileObject on tbl_VCRMCorrespondenceAttachmentTemp'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceAttachmentTemp' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceAttachmentTemp'))
	ALTER TABLE tbl_VCRMCorrespondenceAttachmentTemp
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

IF @@TRANCOUNT>0
	COMMIT

SET NOEXEC OFF
GO

