-- Alter ntext to nvarchar(max) 
-- tbl_Documents

BEGIN TRAN
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Alter column FileObject on tbl_Documents
PRINT 'Alter column FileObject on tbl_Documents'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Documents' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_Documents'))
	ALTER TABLE tbl_Documents
		ALTER COLUMN [FileObject] varbinary(MAX)
GO



IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

IF @@TRANCOUNT>0
	COMMIT

SET NOEXEC OFF
GO
