-- Alter ntext to nvarchar(max) 
-- tbl_ActionEscalations, tbl_ActionTemplates, tbl_ActionTemplatesEscalations, tbl_Announcements, tbl_ApplicationUpdateHistory
-- tbl_AssetAttachments, tbl_Assets, tbl_AssetService, tbl_AttachmentManager, tbl_CallStatus, tbl_CallTemplates, tbl_CallType
-- tbl_CallUpdateTemplates, tbl_CampaignManagement, tbl_ChangeRequestStatus, tbl_ChangeRequestTemplates, tbl_ChangeRequestType, tbl_CheckList, tbl_ClientAccess
-- tbl_ClientAccessAttachTemp, tbl_CloseConfirmation, tbl_ColumnAnswers, tbl_ColumnRows, tbl_Columns, tbl_Contacts, tbl_CustomControlData
-- tbl_EventCategories, tbl_Events, tbl_Feeds, tbl_Groups, tbl_HotNews, tbl_HotNewsCategories, tbl_Images, tbl_OpenConfirmation
-- tbl_Options, tbl_OptionsTemplates, tbl_ProblemStatus, tbl_ProblemTemplates, tbl_ProblemType, tbl_Questions, tbl_QueueEscalations
-- tbl_QueueNotificationTemplates, tbl_Queues, tbl_ReceivedBy, tbl_RecordSheets, tbl_Reports, tbl_ReportSchedules, tbl_SecurityProfiles, tbl_SystemActions
-- tbl_TagRoutingRules, tbl_TemplateAttachments, tbl_UserAccessAudit, tbl_Users, tbl_VCRMAddresses, tbl_VCRMAttachments, tbl_VCRMContact, tbl_VCRMContactCorrespondenceAttachments
-- tbl_VCRMContactOrganization, tbl_VCRMContactPhoto, tbl_VCRMContractFinancials, tbl_VCRMContracts, tbl_VCRMCustomControlData, tbl_VCRMCorrespondenceTemplate, tbl_VCRMDocumentCategory, tbl_VCRMDocumentRelease
-- tbl_VCRMDocuments, tbl_VCRMFunction, tbl_VCRMNotes, tbl_VCRMOrganization, tbl_VCRMQuoteAttachments, tbl_VCRMQuoteItems, tbl_VCRMQuoteSettings
-- tbl_VCRMQuoteStatus, tbl_VCRMSecurityProfiles, tbl_VCRMSheets, tbl_VCRMTemplateAttachments, tbl_VCRMVenue, tbl_VersaAsset_General
-- tbl_VersaAsset_Mobile_Phone, tbl_VersaAsset_SMS_PC, tbl_VersaAsset_SMS_Software, tbl_VersaAsset_SMS_Software_Group, tbl_VersaAssetActions
-- tbl_VersaAssetAttachments, tbl_VersaAssets_Agent_Software, tbl_VersaAssetService, tbl_versaBoard, tbl_versaReports, tbl_versaSheetTemplates
-- tbl_versaTutorialSlides, tbl_VFCTForms, tbl_VFCTQuestions, tbl_VFCTResponses, tbl_VFCTResponsesGUID, tbl_VFCTResponseTypes, tbl_VSCTForms
-- tbl_VSCTQuestions, tbl_VSCTResponses, tbl_VSCTResponsesGUID, tbl_VSCTResponseTypes, tbl_VSCTUsers

BEGIN TRAN
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Alter column Recipients1 on tbl_ActionEscalations
PRINT 'Alter column Recipients1 on tbl_ActionEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients1' AND OBJECT_NAME([object_id]) = N'tbl_ActionEscalations'))
	ALTER TABLE tbl_ActionEscalations
		ALTER COLUMN [Recipients1] nvarchar(MAX)
GO

IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients2 on tbl_ActionEscalations
PRINT 'Alter column Recipients2 on tbl_ActionEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients2' AND OBJECT_NAME([object_id]) = N'tbl_ActionEscalations'))
	ALTER TABLE tbl_ActionEscalations
		ALTER COLUMN [Recipients2] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients3 on tbl_ActionEscalations
PRINT 'Alter column Recipients3 on tbl_ActionEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients3' AND OBJECT_NAME([object_id]) = N'tbl_ActionEscalations'))
	ALTER TABLE tbl_ActionEscalations
		ALTER COLUMN [Recipients3] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients4 on tbl_ActionEscalations
PRINT 'Alter column Recipients4 on tbl_ActionEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients4' AND OBJECT_NAME([object_id]) = N'tbl_ActionEscalations'))
	ALTER TABLE tbl_ActionEscalations
		ALTER COLUMN [Recipients4] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients5 on tbl_ActionEscalations
PRINT 'Alter column Recipients5 on tbl_ActionEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients5' AND OBJECT_NAME([object_id]) = N'tbl_ActionEscalations'))
	ALTER TABLE tbl_ActionEscalations
		ALTER COLUMN [Recipients5] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ActionDescription on tbl_ActionTemplates
PRINT 'Alter column ActionDescription on tbl_ActionTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ActionDescription' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplates'))
	ALTER TABLE tbl_ActionTemplates
		ALTER COLUMN [ActionDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_ActionTemplates
PRINT 'Alter column Notes on tbl_ActionTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplates'))
	ALTER TABLE tbl_ActionTemplates
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Resolution on tbl_ActionTemplates
PRINT 'Alter column Resolution on tbl_ActionTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Resolution' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplates'))
	ALTER TABLE tbl_ActionTemplates
		ALTER COLUMN [Resolution] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients1 on tbl_ActionTemplatesEscalations
PRINT 'Alter column Recipients1 on tbl_ActionTemplatesEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients1' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations'))
	ALTER TABLE tbl_ActionTemplatesEscalations
		ALTER COLUMN [Recipients1] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients2 on tbl_ActionTemplatesEscalations
PRINT 'Alter column Recipients2 on tbl_ActionTemplatesEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients2' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations'))
	ALTER TABLE tbl_ActionTemplatesEscalations
		ALTER COLUMN [Recipients2] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients3 on tbl_ActionTemplatesEscalations
PRINT 'Alter column Recipients3 on tbl_ActionTemplatesEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients3' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations'))
	ALTER TABLE tbl_ActionTemplatesEscalations
		ALTER COLUMN [Recipients3] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients4 on tbl_ActionTemplatesEscalations
PRINT 'Alter column Recipients4 on tbl_ActionTemplatesEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients4' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations'))
	ALTER TABLE tbl_ActionTemplatesEscalations
		ALTER COLUMN [Recipients4] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients5 on tbl_ActionTemplatesEscalations
PRINT 'Alter column Recipients5 on tbl_ActionTemplatesEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients5' AND OBJECT_NAME([object_id]) = N'tbl_ActionTemplatesEscalations'))
	ALTER TABLE tbl_ActionTemplatesEscalations
		ALTER COLUMN [Recipients5] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Message on tbl_Announcements
PRINT 'Alter column Message on tbl_Announcements'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Announcements' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Message' AND OBJECT_NAME([object_id]) = N'tbl_Announcements'))
	ALTER TABLE tbl_Announcements
		ALTER COLUMN [Message] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ErrorMessage on tbl_ApplicationUpdateHistory
PRINT 'Alter column ErrorMessage on tbl_ApplicationUpdateHistory'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ApplicationUpdateHistory' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ErrorMessage' AND OBJECT_NAME([object_id]) = N'tbl_ApplicationUpdateHistory'))
	ALTER TABLE tbl_ApplicationUpdateHistory
		ALTER COLUMN [ErrorMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReleaseNotes on tbl_ApplicationUpdateHistory
PRINT 'Alter column ReleaseNotes on tbl_ApplicationUpdateHistory'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ApplicationUpdateHistory' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReleaseNotes' AND OBJECT_NAME([object_id]) = N'tbl_ApplicationUpdateHistory'))
	ALTER TABLE tbl_ApplicationUpdateHistory
		ALTER COLUMN [ReleaseNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_AssetAttachments
PRINT 'Alter column FileObject on tbl_AssetAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_AssetAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_AssetAttachments'))
	ALTER TABLE tbl_AssetAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Configuration on tbl_Assets
PRINT 'Alter column Configuration on tbl_Assets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Assets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Configuration' AND OBJECT_NAME([object_id]) = N'tbl_Assets'))
	ALTER TABLE tbl_Assets
		ALTER COLUMN [Configuration] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_Assets
PRINT 'Alter column Notes on tbl_Assets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Assets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_Assets'))
	ALTER TABLE tbl_Assets
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Audit on tbl_Assets
PRINT 'Alter column Audit on tbl_Assets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Assets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Audit' AND OBJECT_NAME([object_id]) = N'tbl_Assets'))
	ALTER TABLE tbl_Assets
		ALTER COLUMN [Audit] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column WarrantyDetails on tbl_Assets
PRINT 'Alter column WarrantyDetails on tbl_Assets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Assets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'WarrantyDetails' AND OBJECT_NAME([object_id]) = N'tbl_Assets'))
	ALTER TABLE tbl_Assets
		ALTER COLUMN [WarrantyDetails] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ServiceStatusID on tbl_AssetService
PRINT 'Alter column ServiceStatusID on tbl_AssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_AssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ServiceStatusID' AND OBJECT_NAME([object_id]) = N'tbl_AssetService'))
	ALTER TABLE tbl_AssetService
		ALTER COLUMN [ServiceStatusID] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Details on tbl_AssetService
PRINT 'Alter column Details on tbl_AssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_AssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Details' AND OBJECT_NAME([object_id]) = N'tbl_AssetService'))
	ALTER TABLE tbl_AssetService
		ALTER COLUMN [Details] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_AssetService
PRINT 'Alter column Notes on tbl_AssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_AssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_AssetService'))
	ALTER TABLE tbl_AssetService
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_AttachmentManager
PRINT 'Alter column FileObject on tbl_AttachmentManager'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_AttachmentManager' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_AttachmentManager'))
	ALTER TABLE tbl_AttachmentManager
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ActionDesc on tbl_CallActions
PRINT 'Alter column ActionDesc on tbl_CallActions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallActions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ActionDesc' AND OBJECT_NAME([object_id]) = N'tbl_CallActions'))
	ALTER TABLE tbl_CallActions
		ALTER COLUMN [ActionDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CallStatusDesc on tbl_CallStatus
PRINT 'Alter column CallStatusDesc on tbl_CallStatus'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallStatus' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CallStatusDesc' AND OBJECT_NAME([object_id]) = N'tbl_CallStatus'))
	ALTER TABLE tbl_CallStatus
		ALTER COLUMN [CallStatusDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_CallTemplates
PRINT 'Alter column Description on tbl_CallTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_CallTemplates'))
	ALTER TABLE tbl_CallTemplates
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Solution on tbl_CallTemplates
PRINT 'Alter column Solution on tbl_CallTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Solution' AND OBJECT_NAME([object_id]) = N'tbl_CallTemplates'))
	ALTER TABLE tbl_CallTemplates
		ALTER COLUMN [Solution] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CallTypeDesc on tbl_CallType
PRINT 'Alter column CallTypeDesc on tbl_CallType'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallType' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CallTypeDesc' AND OBJECT_NAME([object_id]) = N'tbl_CallType'))
	ALTER TABLE tbl_CallType
		ALTER COLUMN [CallTypeDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailTo on tbl_CallUpdateTemplates
PRINT 'Alter column MailTo on tbl_CallUpdateTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailTo' AND OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates'))
	ALTER TABLE tbl_CallUpdateTemplates
		ALTER COLUMN [MailTo] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailCc on tbl_CallUpdateTemplates
PRINT 'Alter column MailCc on tbl_CallUpdateTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailCc' AND OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates'))
	ALTER TABLE tbl_CallUpdateTemplates
		ALTER COLUMN [MailCc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailBcc on tbl_CallUpdateTemplates
PRINT 'Alter column MailBcc on tbl_CallUpdateTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailBcc' AND OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates'))
	ALTER TABLE tbl_CallUpdateTemplates
		ALTER COLUMN [MailBcc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Body on tbl_CallUpdateTemplates
PRINT 'Alter column Body on tbl_CallUpdateTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Body' AND OBJECT_NAME([object_id]) = N'tbl_CallUpdateTemplates'))
	ALTER TABLE tbl_CallUpdateTemplates
		ALTER COLUMN [Body] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CampaignDescription on tbl_CampaignManagement
PRINT 'Alter column CampaignDescription on tbl_CampaignManagement'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CampaignManagement' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CampaignDescription' AND OBJECT_NAME([object_id]) = N'tbl_CampaignManagement'))
	ALTER TABLE tbl_CampaignManagement
		ALTER COLUMN [CampaignDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column HtmlBody on tbl_CampaignManagement
PRINT 'Alter column HtmlBody on tbl_CampaignManagement'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CampaignManagement' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'HtmlBody' AND OBJECT_NAME([object_id]) = N'tbl_CampaignManagement'))
	ALTER TABLE tbl_CampaignManagement
		ALTER COLUMN [HtmlBody] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ChangeRequestStatusDesc on tbl_ChangeRequestStatus
PRINT 'Alter column ChangeRequestStatusDesc on tbl_ChangeRequestStatus'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestStatus' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ChangeRequestStatusDesc' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestStatus'))
	ALTER TABLE tbl_ChangeRequestStatus
		ALTER COLUMN [ChangeRequestStatusDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_ChangeRequestTemplates
PRINT 'Alter column Description on tbl_ChangeRequestTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates'))
	ALTER TABLE tbl_ChangeRequestTemplates
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column PostImplementationReview on tbl_ChangeRequestTemplates
PRINT 'Alter column PostImplementationReview on tbl_ChangeRequestTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'PostImplementationReview' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates'))
	ALTER TABLE tbl_ChangeRequestTemplates
		ALTER COLUMN [PostImplementationReview] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column BusinessImpactAnalysis on tbl_ChangeRequestTemplates
PRINT 'Alter column BusinessImpactAnalysis on tbl_ChangeRequestTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'BusinessImpactAnalysis' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates'))
	ALTER TABLE tbl_ChangeRequestTemplates
		ALTER COLUMN [BusinessImpactAnalysis] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column TechnicalResources on tbl_ChangeRequestTemplates
PRINT 'Alter column TechnicalResources on tbl_ChangeRequestTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'TechnicalResources' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates'))
	ALTER TABLE tbl_ChangeRequestTemplates
		ALTER COLUMN [TechnicalResources] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Justification on tbl_ChangeRequestTemplates
PRINT 'Alter column Justification on tbl_ChangeRequestTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Justification' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestTemplates'))
	ALTER TABLE tbl_ChangeRequestTemplates
		ALTER COLUMN [Justification] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ChangeRequestTypeDesc on tbl_ChangeRequestType
PRINT 'Alter column ChangeRequestTypeDesc on tbl_ChangeRequestType'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ChangeRequestType' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ChangeRequestTypeDesc' AND OBJECT_NAME([object_id]) = N'tbl_ChangeRequestType'))
	ALTER TABLE tbl_ChangeRequestType
		ALTER COLUMN [ChangeRequestTypeDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_CheckList
PRINT 'Alter column Description on tbl_CheckList'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CheckList' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_CheckList'))
	ALTER TABLE tbl_CheckList
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LogoImage on tbl_CheckList
PRINT 'Alter column LogoImage on tbl_CheckList'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CheckList' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LogoImage' AND OBJECT_NAME([object_id]) = N'tbl_CheckList'))
	ALTER TABLE tbl_CheckList
		ALTER COLUMN [LogoImage] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_ClientAccess
PRINT 'Alter column Notes on tbl_ClientAccess'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ClientAccess' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_ClientAccess'))
	ALTER TABLE tbl_ClientAccess
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_ClientAccessAttachTemp
PRINT 'Alter column FileObject on tbl_ClientAccessAttachTemp'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ClientAccessAttachTemp' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_ClientAccessAttachTemp'))
	ALTER TABLE tbl_ClientAccessAttachTemp
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Subject on tbl_CloseConfirmation
PRINT 'Alter column Subject on tbl_CloseConfirmation'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CloseConfirmation' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Subject' AND OBJECT_NAME([object_id]) = N'tbl_CloseConfirmation'))
	ALTER TABLE tbl_CloseConfirmation
		ALTER COLUMN [Subject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Message on tbl_CloseConfirmation
PRINT 'Alter column Message on tbl_CloseConfirmation'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CloseConfirmation' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Message' AND OBJECT_NAME([object_id]) = N'tbl_CloseConfirmation'))
	ALTER TABLE tbl_CloseConfirmation
		ALTER COLUMN [Message] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Answers on tbl_ColumnAnswers
PRINT 'Alter column Answers on tbl_ColumnAnswers'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ColumnAnswers' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Answers' AND OBJECT_NAME([object_id]) = N'tbl_ColumnAnswers'))
	ALTER TABLE tbl_ColumnAnswers
		ALTER COLUMN [Answers] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Label on tbl_ColumnRows
PRINT 'Alter column Label on tbl_ColumnRows'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ColumnRows' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Label' AND OBJECT_NAME([object_id]) = N'tbl_ColumnRows'))
	ALTER TABLE tbl_ColumnRows
		ALTER COLUMN [Label] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ColumnName on tbl_Columns
PRINT 'Alter column ColumnName on tbl_Columns'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Columns' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ColumnName' AND OBJECT_NAME([object_id]) = N'tbl_Columns'))
	ALTER TABLE tbl_Columns
		ALTER COLUMN [ColumnName] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_Contacts
PRINT 'Alter column Notes on tbl_Contacts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Contacts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_Contacts'))
	ALTER TABLE tbl_Contacts
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CustomData on tbl_CustomControlData
PRINT 'Alter column CustomData on tbl_CustomControlData'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_CustomControlData' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CustomData' AND OBJECT_NAME([object_id]) = N'tbl_CustomControlData'))
	ALTER TABLE tbl_CustomControlData
		ALTER COLUMN [CustomData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CategoryDesc on tbl_EventCategories
PRINT 'Alter column CategoryDesc on tbl_EventCategories'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_EventCategories' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CategoryDesc' AND OBJECT_NAME([object_id]) = N'tbl_EventCategories'))
	ALTER TABLE tbl_EventCategories
		ALTER COLUMN [CategoryDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column EventItem on tbl_Events
PRINT 'Alter column EventItem on tbl_Events'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Events' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'EventItem' AND OBJECT_NAME([object_id]) = N'tbl_Events'))
	ALTER TABLE tbl_Events
		ALTER COLUMN [EventItem] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FeedDBQuery on tbl_Feeds
PRINT 'Alter column FeedDBQuery on tbl_Feeds'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Feeds' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FeedDBQuery' AND OBJECT_NAME([object_id]) = N'tbl_Feeds'))
	ALTER TABLE tbl_Feeds
		ALTER COLUMN [FeedDBQuery] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column GroupDesc on tbl_Groups
PRINT 'Alter column GroupDesc on tbl_Groups'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Groups' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'GroupDesc' AND OBJECT_NAME([object_id]) = N'tbl_Groups'))
	ALTER TABLE tbl_Groups
		ALTER COLUMN [GroupDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column NewsItem on tbl_HotNews
PRINT 'Alter column NewsItem on tbl_HotNews'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_HotNews' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'NewsItem' AND OBJECT_NAME([object_id]) = N'tbl_HotNews'))
	ALTER TABLE tbl_HotNews
		ALTER COLUMN [NewsItem] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CategoryDesc on tbl_HotNewsCategories
PRINT 'Alter column CategoryDesc on tbl_HotNewsCategories'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_HotNewsCategories' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CategoryDesc' AND OBJECT_NAME([object_id]) = N'tbl_HotNewsCategories'))
	ALTER TABLE tbl_HotNewsCategories
		ALTER COLUMN [CategoryDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_Images
PRINT 'Alter column Description on tbl_Images'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Images' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_Images'))
	ALTER TABLE tbl_Images
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ImageFile on tbl_Images
PRINT 'Alter column ImageFile on tbl_Images'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Images' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ImageFile' AND OBJECT_NAME([object_id]) = N'tbl_Images'))
	ALTER TABLE tbl_Images
		ALTER COLUMN [ImageFile] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Subject on tbl_OpenConfirmation
PRINT 'Alter column Subject on tbl_OpenConfirmation'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_OpenConfirmation' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Subject' AND OBJECT_NAME([object_id]) = N'tbl_OpenConfirmation'))
	ALTER TABLE tbl_OpenConfirmation
		ALTER COLUMN [Subject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Message on tbl_OpenConfirmation
PRINT 'Alter column Message on tbl_OpenConfirmation'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_OpenConfirmation' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Message' AND OBJECT_NAME([object_id]) = N'tbl_OpenConfirmation'))
	ALTER TABLE tbl_OpenConfirmation
		ALTER COLUMN [Message] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column OptionValue on tbl_Options
PRINT 'Alter column OptionValue on tbl_Options'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Options' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'OptionValue' AND OBJECT_NAME([object_id]) = N'tbl_Options'))
	ALTER TABLE tbl_Options
		ALTER COLUMN [OptionValue] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column OptionValue on tbl_OptionsTemplates
PRINT 'Alter column OptionValue on tbl_OptionsTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_OptionsTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'OptionValue' AND OBJECT_NAME([object_id]) = N'tbl_OptionsTemplates'))
	ALTER TABLE tbl_OptionsTemplates
		ALTER COLUMN [OptionValue] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_ProblemBillingAudit
PRINT 'Alter column Notes on tbl_ProblemBillingAudit'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemBillingAudit' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_ProblemBillingAudit'))
	ALTER TABLE tbl_ProblemBillingAudit
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ProblemStatusDesc on tbl_ProblemStatus
PRINT 'Alter column ProblemStatusDesc on tbl_ProblemStatus'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemStatus' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ProblemStatusDesc' AND OBJECT_NAME([object_id]) = N'tbl_ProblemStatus'))
	ALTER TABLE tbl_ProblemStatus
		ALTER COLUMN [ProblemStatusDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_ProblemTemplates
PRINT 'Alter column Description on tbl_ProblemTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates'))
	ALTER TABLE tbl_ProblemTemplates
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Solution on tbl_ProblemTemplates
PRINT 'Alter column Solution on tbl_ProblemTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Solution' AND OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates'))
	ALTER TABLE tbl_ProblemTemplates
		ALTER COLUMN [Solution] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column BusinessImpactAnalysis on tbl_ProblemTemplates
PRINT 'Alter column BusinessImpactAnalysis on tbl_ProblemTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'BusinessImpactAnalysis' AND OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates'))
	ALTER TABLE tbl_ProblemTemplates
		ALTER COLUMN [BusinessImpactAnalysis] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column TechnicalResources on tbl_ProblemTemplates
PRINT 'Alter column TechnicalResources on tbl_ProblemTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'TechnicalResources' AND OBJECT_NAME([object_id]) = N'tbl_ProblemTemplates'))
	ALTER TABLE tbl_ProblemTemplates
		ALTER COLUMN [TechnicalResources] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ProblemTypeDesc on tbl_ProblemType
PRINT 'Alter column ProblemTypeDesc on tbl_ProblemType'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ProblemType' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ProblemTypeDesc' AND OBJECT_NAME([object_id]) = N'tbl_ProblemType'))
	ALTER TABLE tbl_ProblemType
		ALTER COLUMN [ProblemTypeDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Questions on tbl_Questions
PRINT 'Alter column Questions on tbl_Questions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Questions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Questions' AND OBJECT_NAME([object_id]) = N'tbl_Questions'))
	ALTER TABLE tbl_Questions
		ALTER COLUMN [Questions] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Recipients on tbl_QueueEscalations
PRINT 'Alter column Recipients on tbl_QueueEscalations'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_QueueEscalations' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Recipients' AND OBJECT_NAME([object_id]) = N'tbl_QueueEscalations'))
	ALTER TABLE tbl_QueueEscalations
		ALTER COLUMN [Recipients] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Body on tbl_QueueNotificationTemplates
PRINT 'Alter column Body on tbl_QueueNotificationTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_QueueNotificationTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Body' AND OBJECT_NAME([object_id]) = N'tbl_QueueNotificationTemplates'))
	ALTER TABLE tbl_QueueNotificationTemplates
		ALTER COLUMN [Body] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column QueueDesc on tbl_Queues
PRINT 'Alter column QueueDesc on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'QueueDesc' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [QueueDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column QueueSignature on tbl_Queues
PRINT 'Alter column QueueSignature on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'QueueSignature' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [QueueSignature] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column QWSubject on tbl_Queues
PRINT 'Alter column QWSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'QWSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [QWSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column QWMessage on tbl_Queues
PRINT 'Alter column QWMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'QWMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [QWMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column GWSubject on tbl_Queues
PRINT 'Alter column GWSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'GWSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [GWSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column GWMessage on tbl_Queues
PRINT 'Alter column GWMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'GWMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [GWMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CWSubject on tbl_Queues
PRINT 'Alter column CWSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CWSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [CWSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CWMessage on tbl_Queues
PRINT 'Alter column CWMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CWMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [CWMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DDSubject on tbl_Queues
PRINT 'Alter column DDSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DDSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [DDSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DDMessage on tbl_Queues
PRINT 'Alter column DDMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DDMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [DDMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ESDSubject on tbl_Queues
PRINT 'Alter column ESDSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ESDSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [ESDSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ESDMessage on tbl_Queues
PRINT 'Alter column ESDMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ESDMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [ESDMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CAASubject on tbl_Queues
PRINT 'Alter column CAASubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CAASubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [CAASubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CAAMessage on tbl_Queues
PRINT 'Alter column CAAMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CAAMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [CAAMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ESubject on tbl_Queues
PRINT 'Alter column ESubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ESubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [ESubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column EMessage on tbl_Queues
PRINT 'Alter column EMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'EMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [EMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DDNSubject on tbl_Queues
PRINT 'Alter column DDNSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DDNSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [DDNSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DDNMessage on tbl_Queues
PRINT 'Alter column DDNMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DDNMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [DDNMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ANSubject on tbl_Queues
PRINT 'Alter column ANSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ANSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [ANSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ANMessage on tbl_Queues
PRINT 'Alter column ANMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ANMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [ANMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column AENSubject on tbl_Queues
PRINT 'Alter column AENSubject on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'AENSubject' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [AENSubject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column AENMessage on tbl_Queues
PRINT 'Alter column AENMessage on tbl_Queues'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Queues' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'AENMessage' AND OBJECT_NAME([object_id]) = N'tbl_Queues'))
	ALTER TABLE tbl_Queues
		ALTER COLUMN [AENMessage] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReceivedByDesc on tbl_ReceivedBy
PRINT 'Alter column ReceivedByDesc on tbl_ReceivedBy'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ReceivedBy' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReceivedByDesc' AND OBJECT_NAME([object_id]) = N'tbl_ReceivedBy'))
	ALTER TABLE tbl_ReceivedBy
		ALTER COLUMN [ReceivedByDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column SheetData on tbl_RecordSheets
PRINT 'Alter column SheetData on tbl_RecordSheets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_RecordSheets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'SheetData' AND OBJECT_NAME([object_id]) = N'tbl_RecordSheets'))
	ALTER TABLE tbl_RecordSheets
		ALTER COLUMN [SheetData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_Reports
PRINT 'Alter column Description on tbl_Reports'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Reports' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_Reports'))
	ALTER TABLE tbl_Reports
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Report on tbl_Reports
PRINT 'Alter column Report on tbl_Reports'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Reports' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Report' AND OBJECT_NAME([object_id]) = N'tbl_Reports'))
	ALTER TABLE tbl_Reports
		ALTER COLUMN [Report] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailTo on tbl_ReportSchedules
PRINT 'Alter column MailTo on tbl_ReportSchedules'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ReportSchedules' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailTo' AND OBJECT_NAME([object_id]) = N'tbl_ReportSchedules'))
	ALTER TABLE tbl_ReportSchedules
		ALTER COLUMN [MailTo] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailCc on tbl_ReportSchedules
PRINT 'Alter column MailCc on tbl_ReportSchedules'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ReportSchedules' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailCc' AND OBJECT_NAME([object_id]) = N'tbl_ReportSchedules'))
	ALTER TABLE tbl_ReportSchedules
		ALTER COLUMN [MailCc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailBcc on tbl_ReportSchedules
PRINT 'Alter column MailBcc on tbl_ReportSchedules'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ReportSchedules' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailBcc' AND OBJECT_NAME([object_id]) = N'tbl_ReportSchedules'))
	ALTER TABLE tbl_ReportSchedules
		ALTER COLUMN [MailBcc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReportParameters on tbl_ReportSchedules
PRINT 'Alter column ReportParameters on tbl_ReportSchedules'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_ReportSchedules' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReportParameters' AND OBJECT_NAME([object_id]) = N'tbl_ReportSchedules'))
	ALTER TABLE tbl_ReportSchedules
		ALTER COLUMN [ReportParameters] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ProfileDesc on tbl_SecurityProfiles
PRINT 'Alter column ProfileDesc on tbl_SecurityProfiles'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_SecurityProfiles' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ProfileDesc' AND OBJECT_NAME([object_id]) = N'tbl_SecurityProfiles'))
	ALTER TABLE tbl_SecurityProfiles
		ALTER COLUMN [ProfileDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ActionDesc on tbl_SystemActions
PRINT 'Alter column ActionDesc on tbl_SystemActions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_SystemActions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ActionDesc' AND OBJECT_NAME([object_id]) = N'tbl_SystemActions'))
	ALTER TABLE tbl_SystemActions
		ALTER COLUMN [ActionDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column TagRoutingData on tbl_TagRoutingRules
PRINT 'Alter column TagRoutingData on tbl_TagRoutingRules'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_TagRoutingRules' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'TagRoutingData' AND OBJECT_NAME([object_id]) = N'tbl_TagRoutingRules'))
	ALTER TABLE tbl_TagRoutingRules
		ALTER COLUMN [TagRoutingData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_TemplateAttachments
PRINT 'Alter column FileObject on tbl_TemplateAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_TemplateAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_TemplateAttachments'))
	ALTER TABLE tbl_TemplateAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_UserAccessAudit
PRINT 'Alter column Notes on tbl_UserAccessAudit'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_UserAccessAudit' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_UserAccessAudit'))
	ALTER TABLE tbl_UserAccessAudit
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Signature on tbl_Users
PRINT 'Alter column Signature on tbl_Users'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Users' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Signature' AND OBJECT_NAME([object_id]) = N'tbl_Users'))
	ALTER TABLE tbl_Users
		ALTER COLUMN [Signature] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_Users
PRINT 'Alter column Notes on tbl_Users'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_Users' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_Users'))
	ALTER TABLE tbl_Users
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ScheduledMaintenanceNotes on tbl_VCRMAddresses
PRINT 'Alter column ScheduledMaintenanceNotes on tbl_VCRMAddresses'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMAddresses' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ScheduledMaintenanceNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMAddresses'))
	ALTER TABLE tbl_VCRMAddresses
		ALTER COLUMN [ScheduledMaintenanceNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMAttachments
PRINT 'Alter column FileObject on tbl_VCRMAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMAttachments'))
	ALTER TABLE tbl_VCRMAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VCRMContact
PRINT 'Alter column Notes on tbl_VCRMContact'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContact' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContact'))
	ALTER TABLE tbl_VCRMContact
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ScheduledMaintenanceNotes on tbl_VCRMContact
PRINT 'Alter column ScheduledMaintenanceNotes on tbl_VCRMContact'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContact' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ScheduledMaintenanceNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContact'))
	ALTER TABLE tbl_VCRMContact
		ALTER COLUMN [ScheduledMaintenanceNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMContactCorrespondenceAttachments
PRINT 'Alter column FileObject on tbl_VCRMContactCorrespondenceAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContactCorrespondenceAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContactCorrespondenceAttachments'))
	ALTER TABLE tbl_VCRMContactCorrespondenceAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VCRMContactOrganization
PRINT 'Alter column Notes on tbl_VCRMContactOrganization'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContactOrganization' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContactOrganization'))
	ALTER TABLE tbl_VCRMContactOrganization
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ScheduledMaintenanceNotes on tbl_VCRMContactOrganization
PRINT 'Alter column ScheduledMaintenanceNotes on tbl_VCRMContactOrganization'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContactOrganization' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ScheduledMaintenanceNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContactOrganization'))
	ALTER TABLE tbl_VCRMContactOrganization
		ALTER COLUMN [ScheduledMaintenanceNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ImageBinary1 on tbl_VCRMContactPhoto
PRINT 'Alter column ImageBinary1 on tbl_VCRMContactPhoto'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContactPhoto' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ImageBinary1' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContactPhoto'))
	ALTER TABLE tbl_VCRMContactPhoto
		ALTER COLUMN [ImageBinary1] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_VCRMContractFinancials
PRINT 'Alter column Description on tbl_VCRMContractFinancials'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContractFinancials' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContractFinancials'))
	ALTER TABLE tbl_VCRMContractFinancials
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VCRMContractFinancials
PRINT 'Alter column Notes on tbl_VCRMContractFinancials'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContractFinancials' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContractFinancials'))
	ALTER TABLE tbl_VCRMContractFinancials
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_VCRMContracts
PRINT 'Alter column Description on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VCRMContracts
PRINT 'Alter column Notes on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Terms on tbl_VCRMContracts
PRINT 'Alter column Terms on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Terms' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Terms] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Termination on tbl_VCRMContracts
PRINT 'Alter column Termination on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Termination' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Termination] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column License on tbl_VCRMContracts
PRINT 'Alter column License on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'License' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [License] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Ownership on tbl_VCRMContracts
PRINT 'Alter column Ownership on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Ownership' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Ownership] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Warranty on tbl_VCRMContracts
PRINT 'Alter column Warranty on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Warranty' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Warranty] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Confidentiality on tbl_VCRMContracts
PRINT 'Alter column Confidentiality on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Confidentiality' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Confidentiality] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Indemnification on tbl_VCRMContracts
PRINT 'Alter column Indemnification on tbl_VCRMContracts'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMContracts' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Indemnification' AND OBJECT_NAME([object_id]) = N'tbl_VCRMContracts'))
	ALTER TABLE tbl_VCRMContracts
		ALTER COLUMN [Indemnification] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailTo on tbl_VCRMCorrespondenceTemplates
PRINT 'Alter column MailTo on tbl_VCRMCorrespondenceTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailTo' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates'))
	ALTER TABLE tbl_VCRMCorrespondenceTemplates
		ALTER COLUMN [MailTo] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailCc on tbl_VCRMCorrespondenceTemplates
PRINT 'Alter column MailCc on tbl_VCRMCorrespondenceTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailCc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates'))
	ALTER TABLE tbl_VCRMCorrespondenceTemplates
		ALTER COLUMN [MailCc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailBcc on tbl_VCRMCorrespondenceTemplates
PRINT 'Alter column MailBcc on tbl_VCRMCorrespondenceTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailBcc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates'))
	ALTER TABLE tbl_VCRMCorrespondenceTemplates
		ALTER COLUMN [MailBcc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Message on tbl_VCRMCorrespondenceTemplates
PRINT 'Alter column Message on tbl_VCRMCorrespondenceTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Message' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCorrespondenceTemplates'))
	ALTER TABLE tbl_VCRMCorrespondenceTemplates
		ALTER COLUMN [Message] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CustomData on tbl_VCRMCustomControlData
PRINT 'Alter column CustomData on tbl_VCRMCustomControlData'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMCustomControlData' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CustomData' AND OBJECT_NAME([object_id]) = N'tbl_VCRMCustomControlData'))
	ALTER TABLE tbl_VCRMCustomControlData
		ALTER COLUMN [CustomData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column CategoryDescription on tbl_VCRMDocumentCategory
PRINT 'Alter column CategoryDescription on tbl_VCRMDocumentCategory'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMDocumentCategory' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'CategoryDescription' AND OBJECT_NAME([object_id]) = N'tbl_VCRMDocumentCategory'))
	ALTER TABLE tbl_VCRMDocumentCategory
		ALTER COLUMN [CategoryDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReleaseNotes on tbl_VCRMDocumentRelease
PRINT 'Alter column ReleaseNotes on tbl_VCRMDocumentRelease'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMDocumentRelease' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReleaseNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMDocumentRelease'))
	ALTER TABLE tbl_VCRMDocumentRelease
		ALTER COLUMN [ReleaseNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMDocuments
PRINT 'Alter column FileObject on tbl_VCRMDocuments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMDocuments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMDocuments'))
	ALTER TABLE tbl_VCRMDocuments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FunctionDescription on tbl_VCRMFunction
PRINT 'Alter column FunctionDescription on tbl_VCRMFunction'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMFunction' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FunctionDescription' AND OBJECT_NAME([object_id]) = N'tbl_VCRMFunction'))
	ALTER TABLE tbl_VCRMFunction
		ALTER COLUMN [FunctionDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FunctionNotes on tbl_VCRMFunction
PRINT 'Alter column FunctionNotes on tbl_VCRMFunction'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMFunction' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FunctionNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMFunction'))
	ALTER TABLE tbl_VCRMFunction
		ALTER COLUMN [FunctionNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Body on tbl_VCRMNotes
PRINT 'Alter column Body on tbl_VCRMNotes'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMNotes' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Body' AND OBJECT_NAME([object_id]) = N'tbl_VCRMNotes'))
	ALTER TABLE tbl_VCRMNotes
		ALTER COLUMN [Body] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_VCRMOrganization
PRINT 'Alter column Description on tbl_VCRMOrganization'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization'))
	ALTER TABLE tbl_VCRMOrganization
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ScheduledMaintenanceNotes on tbl_VCRMOrganization
PRINT 'Alter column ScheduledMaintenanceNotes on tbl_VCRMOrganization'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ScheduledMaintenanceNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization'))
	ALTER TABLE tbl_VCRMOrganization
		ALTER COLUMN [ScheduledMaintenanceNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LogoImage on tbl_VCRMOrganization
PRINT 'Alter column LogoImage on tbl_VCRMOrganization'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LogoImage' AND OBJECT_NAME([object_id]) = N'tbl_VCRMOrganization'))
	ALTER TABLE tbl_VCRMOrganization
		ALTER COLUMN [LogoImage] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMQuoteAttachments
PRINT 'Alter column FileObject on tbl_VCRMQuoteAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteAttachments'))
	ALTER TABLE tbl_VCRMQuoteAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_VCRMQuoteItems
PRINT 'Alter column Description on tbl_VCRMQuoteItems'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteItems' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteItems'))
	ALTER TABLE tbl_VCRMQuoteItems
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Value on tbl_VCRMQuoteSettings
PRINT 'Alter column Value on tbl_VCRMQuoteSettings'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteSettings' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Value' AND OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteSettings'))
	ALTER TABLE tbl_VCRMQuoteSettings
		ALTER COLUMN [Value] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column QuoteStatusDesc on tbl_VCRMQuoteStatus
PRINT 'Alter column QuoteStatusDesc on tbl_VCRMQuoteStatus'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteStatus' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'QuoteStatusDesc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMQuoteStatus'))
	ALTER TABLE tbl_VCRMQuoteStatus
		ALTER COLUMN [QuoteStatusDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ProfileDesc on tbl_VCRMSecurityProfiles
PRINT 'Alter column ProfileDesc on tbl_VCRMSecurityProfiles'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMSecurityProfiles' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ProfileDesc' AND OBJECT_NAME([object_id]) = N'tbl_VCRMSecurityProfiles'))
	ALTER TABLE tbl_VCRMSecurityProfiles
		ALTER COLUMN [ProfileDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column SheetData on tbl_VCRMSheets
PRINT 'Alter column SheetData on tbl_VCRMSheets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMSheets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'SheetData' AND OBJECT_NAME([object_id]) = N'tbl_VCRMSheets'))
	ALTER TABLE tbl_VCRMSheets
		ALTER COLUMN [SheetData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VCRMTemplateAttachments
PRINT 'Alter column FileObject on tbl_VCRMTemplateAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMTemplateAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VCRMTemplateAttachments'))
	ALTER TABLE tbl_VCRMTemplateAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ScheduledMaintenanceNotes on tbl_VCRMVenue
PRINT 'Alter column ScheduledMaintenanceNotes on tbl_VCRMVenue'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VCRMVenue' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ScheduledMaintenanceNotes' AND OBJECT_NAME([object_id]) = N'tbl_VCRMVenue'))
	ALTER TABLE tbl_VCRMVenue
		ALTER COLUMN [ScheduledMaintenanceNotes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column AssetDetails on tbl_VersaAsset_General
PRINT 'Alter column AssetDetails on tbl_VersaAsset_General'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_General' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'AssetDetails' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_General'))
	ALTER TABLE tbl_VersaAsset_General
		ALTER COLUMN [AssetDetails] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Accessories on tbl_VersaAsset_Mobile_Phone
PRINT 'Alter column Accessories on tbl_VersaAsset_Mobile_Phone'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_Mobile_Phone' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Accessories' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_Mobile_Phone'))
	ALTER TABLE tbl_VersaAsset_Mobile_Phone
		ALTER COLUMN [Accessories] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Description on tbl_VersaAsset_SMS_PC
PRINT 'Alter column Description on tbl_VersaAsset_SMS_PC'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC'))
	ALTER TABLE tbl_VersaAsset_SMS_PC
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ServerRelationship on tbl_VersaAsset_SMS_PC
PRINT 'Alter column ServerRelationship on tbl_VersaAsset_SMS_PC'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ServerRelationship' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC'))
	ALTER TABLE tbl_VersaAsset_SMS_PC
		ALTER COLUMN [ServerRelationship] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ImpactOfLoss on tbl_VersaAsset_SMS_PC
PRINT 'Alter column ImpactOfLoss on tbl_VersaAsset_SMS_PC'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ImpactOfLoss' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC'))
	ALTER TABLE tbl_VersaAsset_SMS_PC
		ALTER COLUMN [ImpactOfLoss] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column UsersAffected on tbl_VersaAsset_SMS_PC
PRINT 'Alter column UsersAffected on tbl_VersaAsset_SMS_PC'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'UsersAffected' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_PC'))
	ALTER TABLE tbl_VersaAsset_SMS_PC
		ALTER COLUMN [UsersAffected] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LicenseFiles on tbl_VersaAsset_SMS_Software
PRINT 'Alter column LicenseFiles on tbl_VersaAsset_SMS_Software'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LicenseFiles' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software'))
	ALTER TABLE tbl_VersaAsset_SMS_Software
		ALTER COLUMN [LicenseFiles] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LicenseKeys on tbl_VersaAsset_SMS_Software
PRINT 'Alter column LicenseKeys on tbl_VersaAsset_SMS_Software'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LicenseKeys' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software'))
	ALTER TABLE tbl_VersaAsset_SMS_Software
		ALTER COLUMN [LicenseKeys] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LicenseKeys on tbl_VersaAsset_SMS_Software_Group
PRINT 'Alter column LicenseKeys on tbl_VersaAsset_SMS_Software_Group'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software_Group' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LicenseKeys' AND OBJECT_NAME([object_id]) = N'tbl_VersaAsset_SMS_Software_Group'))
	ALTER TABLE tbl_VersaAsset_SMS_Software_Group
		ALTER COLUMN [LicenseKeys] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ActionDesc on tbl_VersaAssetActions
PRINT 'Alter column ActionDesc on tbl_VersaAssetActions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetActions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ActionDesc' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetActions'))
	ALTER TABLE tbl_VersaAssetActions
		ALTER COLUMN [ActionDesc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FileObject on tbl_VersaAssetAttachments
PRINT 'Alter column FileObject on tbl_VersaAssetAttachments'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetAttachments' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FileObject' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetAttachments'))
	ALTER TABLE tbl_VersaAssetAttachments
		ALTER COLUMN [FileObject] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LicenseFiles on tbl_VersaAssets_Agent_Software
PRINT 'Alter column LicenseFiles on tbl_VersaAssets_Agent_Software'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets_Agent_Software' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LicenseFiles' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets_Agent_Software'))
	ALTER TABLE tbl_VersaAssets_Agent_Software
		ALTER COLUMN [LicenseFiles] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column LicenseKeys on tbl_VersaAssets_Agent_Software
PRINT 'Alter column LicenseKeys on tbl_VersaAssets_Agent_Software'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets_Agent_Software' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'LicenseKeys' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets_Agent_Software'))
	ALTER TABLE tbl_VersaAssets_Agent_Software
		ALTER COLUMN [LicenseKeys] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ServiceStatusID on tbl_VersaAssetService
PRINT 'Alter column ServiceStatusID on tbl_VersaAssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ServiceStatusID' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetService'))
	ALTER TABLE tbl_VersaAssetService
		ALTER COLUMN [ServiceStatusID] varbinary(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Details on tbl_VersaAssetService
PRINT 'Alter column Details on tbl_VersaAssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Details' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetService'))
	ALTER TABLE tbl_VersaAssetService
		ALTER COLUMN [Details] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VersaAssetService
PRINT 'Alter column Notes on tbl_VersaAssetService'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetService' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetService'))
	ALTER TABLE tbl_VersaAssetService
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReportBoard on tbl_versaBoard
PRINT 'Alter column ReportBoard on tbl_versaBoard'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_versaBoard' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReportBoard' AND OBJECT_NAME([object_id]) = N'tbl_versaBoard'))
	ALTER TABLE tbl_versaBoard
		ALTER COLUMN [ReportBoard] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column ReportData on tbl_versaReports
PRINT 'Alter column ReportData on tbl_versaReports'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_versaReports' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'ReportData' AND OBJECT_NAME([object_id]) = N'tbl_versaReports'))
	ALTER TABLE tbl_versaReports
		ALTER COLUMN [ReportData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column SheetTemplateData on tbl_versaSheetTemplates
PRINT 'Alter column SheetTemplateData on tbl_versaSheetTemplates'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_versaSheetTemplates' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'SheetTemplateData' AND OBJECT_NAME([object_id]) = N'tbl_versaSheetTemplates'))
	ALTER TABLE tbl_versaSheetTemplates
		ALTER COLUMN [SheetTemplateData] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column SlideBody on tbl_versaTutorialSlides
PRINT 'Alter column SlideBody on tbl_versaTutorialSlides'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_versaTutorialSlides' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'SlideBody' AND OBJECT_NAME([object_id]) = N'tbl_versaTutorialSlides'))
	ALTER TABLE tbl_versaTutorialSlides
		ALTER COLUMN [SlideBody] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FormDescription on tbl_VFCTForms
PRINT 'Alter column FormDescription on tbl_VFCTForms'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTForms' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FormDescription' AND OBJECT_NAME([object_id]) = N'tbl_VFCTForms'))
	ALTER TABLE tbl_VFCTForms
		ALTER COLUMN [FormDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Choices on tbl_VFCTQuestions
PRINT 'Alter column Choices on tbl_VFCTQuestions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTQuestions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Choices' AND OBJECT_NAME([object_id]) = N'tbl_VFCTQuestions'))
	ALTER TABLE tbl_VFCTQuestions
		ALTER COLUMN [Choices] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DefaultValue on tbl_VFCTQuestions
PRINT 'Alter column DefaultValue on tbl_VFCTQuestions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTQuestions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DefaultValue' AND OBJECT_NAME([object_id]) = N'tbl_VFCTQuestions'))
	ALTER TABLE tbl_VFCTQuestions
		ALTER COLUMN [DefaultValue] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Response on tbl_VFCTResponses
PRINT 'Alter column Response on tbl_VFCTResponses'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTResponses' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Response' AND OBJECT_NAME([object_id]) = N'tbl_VFCTResponses'))
	ALTER TABLE tbl_VFCTResponses
		ALTER COLUMN [Response] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Response on tbl_VFCTResponsesGUID
PRINT 'Alter column Response on tbl_VFCTResponsesGUID'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTResponsesGUID' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Response' AND OBJECT_NAME([object_id]) = N'tbl_VFCTResponsesGUID'))
	ALTER TABLE tbl_VFCTResponsesGUID
		ALTER COLUMN [Response] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Descriptions on tbl_VFCTResponseTypes
PRINT 'Alter column Descriptions on tbl_VFCTResponseTypes'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VFCTResponseTypes' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Descriptions' AND OBJECT_NAME([object_id]) = N'tbl_VFCTResponseTypes'))
	ALTER TABLE tbl_VFCTResponseTypes
		ALTER COLUMN [Descriptions] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FormDescription on tbl_VSCTForms
PRINT 'Alter column FormDescription on tbl_VSCTForms'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTForms' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FormDescription' AND OBJECT_NAME([object_id]) = N'tbl_VSCTForms'))
	ALTER TABLE tbl_VSCTForms
		ALTER COLUMN [FormDescription] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VSCTForms
PRINT 'Alter column Notes on tbl_VSCTForms'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTForms' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VSCTForms'))
	ALTER TABLE tbl_VSCTForms
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column HeaderTemplate on tbl_VSCTForms
PRINT 'Alter column HeaderTemplate on tbl_VSCTForms'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTForms' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'HeaderTemplate' AND OBJECT_NAME([object_id]) = N'tbl_VSCTForms'))
	ALTER TABLE tbl_VSCTForms
		ALTER COLUMN [HeaderTemplate] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column FooterTemplate on tbl_VSCTForms
PRINT 'Alter column FooterTemplate on tbl_VSCTForms'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTForms' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'FooterTemplate' AND OBJECT_NAME([object_id]) = N'tbl_VSCTForms'))
	ALTER TABLE tbl_VSCTForms
		ALTER COLUMN [FooterTemplate] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Choices on tbl_VSCTQuestions
PRINT 'Alter column Choices on tbl_VSCTQuestions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTQuestions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Choices' AND OBJECT_NAME([object_id]) = N'tbl_VSCTQuestions'))
	ALTER TABLE tbl_VSCTQuestions
		ALTER COLUMN [Choices] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column DefaultValue on tbl_VSCTQuestions
PRINT 'Alter column DefaultValue on tbl_VSCTQuestions'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTQuestions' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'DefaultValue' AND OBJECT_NAME([object_id]) = N'tbl_VSCTQuestions'))
	ALTER TABLE tbl_VSCTQuestions
		ALTER COLUMN [DefaultValue] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Response on tbl_VSCTResponses
PRINT 'Alter column Response on tbl_VSCTResponses'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTResponses' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Response' AND OBJECT_NAME([object_id]) = N'tbl_VSCTResponses'))
	ALTER TABLE tbl_VSCTResponses
		ALTER COLUMN [Response] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Response on tbl_VSCTResponsesGUID
PRINT 'Alter column Response on tbl_VSCTResponsesGUID'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTResponsesGUID' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Response' AND OBJECT_NAME([object_id]) = N'tbl_VSCTResponsesGUID'))
	ALTER TABLE tbl_VSCTResponsesGUID
		ALTER COLUMN [Response] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Descriptions on tbl_VSCTResponseTypes
PRINT 'Alter column Descriptions on tbl_VSCTResponseTypes'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTResponseTypes' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Descriptions' AND OBJECT_NAME([object_id]) = N'tbl_VSCTResponseTypes'))
	ALTER TABLE tbl_VSCTResponseTypes
		ALTER COLUMN [Descriptions] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Signature on tbl_VSCTUsers
PRINT 'Alter column Signature on tbl_VSCTUsers'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTUsers' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Signature' AND OBJECT_NAME([object_id]) = N'tbl_VSCTUsers'))
	ALTER TABLE tbl_VSCTUsers
		ALTER COLUMN [Signature] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VSCTUsers
PRINT 'Alter column Notes on tbl_VSCTUsers'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VSCTUsers' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VSCTUsers'))
	ALTER TABLE tbl_VSCTUsers
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

IF @@TRANCOUNT>0
	COMMIT

SET NOEXEC OFF
GO