-- Alter ntext to nvarchar(max) 
-- tbl_WatcherNotificationsLog

BEGIN TRAN
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Alter column MailTo on tbl_WatcherNotificationsLog
PRINT 'Alter column MailTo on tbl_WatcherNotificationsLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailTo' AND OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog'))
	ALTER TABLE tbl_WatcherNotificationsLog
		ALTER COLUMN [MailTo] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailCc on tbl_WatcherNotificationsLog
PRINT 'Alter column MailCc on tbl_WatcherNotificationsLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailCc' AND OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog'))
	ALTER TABLE tbl_WatcherNotificationsLog
		ALTER COLUMN [MailCc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column MailBcc on tbl_WatcherNotificationsLog
PRINT 'Alter column MailBcc on tbl_WatcherNotificationsLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'MailBcc' AND OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog'))
	ALTER TABLE tbl_WatcherNotificationsLog
		ALTER COLUMN [MailBcc] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Subject on tbl_WatcherNotificationsLog
PRINT 'Alter column Subject on tbl_WatcherNotificationsLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Subject' AND OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog'))
	ALTER TABLE tbl_WatcherNotificationsLog
		ALTER COLUMN [Subject] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Body on tbl_WatcherNotificationsLog
PRINT 'Alter column Body on tbl_WatcherNotificationsLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Body' AND OBJECT_NAME([object_id]) = N'tbl_WatcherNotificationsLog'))
	ALTER TABLE tbl_WatcherNotificationsLog
		ALTER COLUMN [Body] nvarchar(MAX)
GO



IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

IF @@TRANCOUNT>0
	COMMIT

SET NOEXEC OFF
GO