-- Alter ntext to nvarchar(max) 
-- tbl_VersaAssetAuditLog
-- tbl_VersaAssets

BEGIN TRAN
GO

PRINT 'Start Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

-- Alter column Description on tbl_VersaAssetAuditLog
PRINT 'Alter column Description on tbl_VersaAssetAuditLog'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssetAuditLog' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Description' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssetAuditLog'))
	ALTER TABLE tbl_VersaAssetAuditLog
		ALTER COLUMN [Description] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Configuration on tbl_VersaAssets
PRINT 'Alter column Configuration on tbl_VersaAssets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Configuration' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets'))
	ALTER TABLE tbl_VersaAssets
		ALTER COLUMN [Configuration] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Notes on tbl_VersaAssets
PRINT 'Alter column Notes on tbl_VersaAssets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Notes' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets'))
	ALTER TABLE tbl_VersaAssets
		ALTER COLUMN [Notes] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column Audit on tbl_VersaAssets
PRINT 'Alter column Audit on tbl_VersaAssets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'Audit' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets'))
	ALTER TABLE tbl_VersaAssets
		ALTER COLUMN [Audit] nvarchar(MAX)
GO


IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO
-- Alter column WarrantyDetails on tbl_VersaAssets
PRINT 'Alter column WarrantyDetails on tbl_VersaAssets'
GO
IF (EXISTS(SELECT * FROM sys.objects WHERE OBJECT_NAME([object_id]) = N'tbl_VersaAssets' AND [type]='U')) AND (EXISTS(SELECT * FROM sys.columns WHERE [name]=N'WarrantyDetails' AND OBJECT_NAME([object_id]) = N'tbl_VersaAssets'))
	ALTER TABLE tbl_VersaAssets
		ALTER COLUMN [WarrantyDetails] nvarchar(MAX)
GO



IF @@ERROR<>0 OR @@TRANCOUNT=0 BEGIN IF @@TRANCOUNT>0 ROLLBACK SET NOEXEC ON END
GO

PRINT 'End Time: ' + CONVERT(nvarchar(20), GETDATE(), 103) + ' ' + CONVERT(nvarchar(20), GETDATE(), 108)
GO

IF @@TRANCOUNT>0
	COMMIT

SET NOEXEC OFF
GO